git clone https://github.com/prometheus/snmp_exporter.git


# Binaries:
wget https://github.com/prometheus/snmp_exporter/releases/download/v0.11.0/snmp_exporter-0.11.0.linux-amd64.tar.gz
tar zxf snmp_exporter-0.11.0.linux-amd64.tar.gz
cd snmp_exporter-0.11.0.linux-amd64/

# Set up IPs for all interfaces:
# The primary network interface
auto ens18 ens19 ens20 ens21 ens22 ens22:0 ens22:1
iface ens18 inet static
        address 10.22.22.115/24
        gateway 10.22.22.254
        dns-nameservers 10.22.22.254
        dns-search forksand.com
iface ens19 inet static
        address 10.68.68..115/24
iface ens20 inet static
        address 10.3.1.115/24
iface ens21 inet static
        address 10.3.2.115/24
iface ens22 inet static
        address 10.99.99.115/24
iface ens22:0 inet static
        address 10.99.1.115/24
iface ens22:1 inet static
        address 10.99.2.115/24


# Set up SNMP on the target switch/device.

##################################################
# Build generator XXX no needed?
sudo apt install build-essential libsnmp-dev
sudo apt -t stretch-backports install golang

go get github.com/prometheus/snmp_exporter/generator

# Needs snmp-mibs-downloader from Debian non-free
# ... enable non-free repos ....
apt install snmp-mibs-downloader
# ... disable non-free repos ....
##################################################


# Run daemon XXX start on boot etc:
jebba@snmp1:~/devel/snmp_exporter-0.11.0.linux-amd64$ ./snmp_exporter --log.level="debug"

# Log into switch, enable SNMP for 10.22.22.115, set SNMP community to "public" XXX temp, for setup.
# XXX set time on switch XXX ntp

# Go to this URL:
http://10.22.22.115:9116/snmp?target=10.22.22.240
http://10.22.22.115:9116/snmp?target=10.3.1.240
http://10.22.22.115:9116/snmp?target=10.3.2.240
http://10.22.22.115:9116/snmp?target=10.68.68.240
http://10.22.22.115:9116/snmp?target=10.99.1.240
http://10.22.22.115:9116/snmp?target=10.99.2.240
